Skip to content

List card transactions

GET
/v1/cards/{cardId}/transactions

Retrieves a paginated list of transactions for a specific card.

cardId
required

The id of the card to list transactions for

string
>= 1 characters
limit
Any of:
string format: numeric
0
cursor

Opaque cursor for pagination. Use the nextCursor value from the previous response.

string
sort
string
Allowed values: desc asc
status
string
Allowed values: pending posted declined reversed expired
fromDate

Filter start date (ISO 8601)

string
toDate

Filter end date (ISO 8601)

string
search

Search by merchant name or description

string

Response for status 200

object
data
required
Array<object>
object
id
required

Transaction ID

string
cardId
required

Card ID

string
merchantName
required

Merchant name

string
amount
required

Transaction amount in USD

string
currency
required

Currency code (e.g., USD)

string
localAmount

Transaction amount in local currency

string
localCurrency

Local currency code (e.g., EUR)

string
mccCode

Merchant category code (e.g., 5411)

string
status
required
string
Allowed values: pending posted declined reversed expired
disputeId
required
Any of:
string
createdAt
required

ISO 8601 timestamp

string
hasMore
required

Whether there are more results

boolean
nextCursor

Cursor for fetching the next page

string

Response for status 401

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
realm

The authentication realm

string
scope

The required scope for this resource

string

Response for status 404

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
resourceType
required

The type of resource that was not found

string
resourceId
required

The identifier of the resource that was not found

string

Response for status 500

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string